Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.util
Class IDContextProviderWrapper

    java.lang.Object
      com.sun.msv.grammar.util.IDContextProviderWrapper

All Implemented Interfaces:
  IDContextProvider2, ValidationContext

public final class IDContextProviderWrapper
extends java.lang.Object
implements IDContextProvider2

Wraps `IDContextProvider` so that it can be used where `IDContextProvider2` is expected.

Author:
  Kohsuke Kawaguchi (kohsuke.kawaguchi@sun.com)

Method Summary
`static IDContextProvider2` | `create(IDContextProvider core)`
`java.lang.String` | `getBaseUri()`
`boolean` | `isNotation(java.lang.String arg0)`
`boolean` | `isUnparsedEntity(java.lang.String arg0)`
`void` | `onID(Datatype datatype, StringToken token)` this method is called when a type with ID semantics is matched.
`java.lang.String` | `resolveNamespacePrefix(java.lang.String arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static IDContextProvider2 create(IDContextProvider core)

### getBaseUri

    public java.lang.String getBaseUri()

  Specified by:
    `getBaseUri` in interface `ValidationContext`

### isNotation

    public boolean isNotation(java.lang.String arg0)

  Specified by:
    `isNotation` in interface `ValidationContext`

### isUnparsedEntity

    public boolean isUnparsedEntity(java.lang.String arg0)

  Specified by:
    `isUnparsedEntity` in interface `ValidationContext`

### onID

    public void onID(Datatype datatype,
                     StringToken token)

  Description copied from interface: `IDContextProvider2`
  this method is called when a type with ID semantics is matched. It is the callee's responsibility that stores ID and checks doubly defined ID, if it is necessary.

  Specified by:
    `onID` in interface `IDContextProvider2`

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String arg0)

  Specified by:
    `resolveNamespacePrefix` in interface `ValidationContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD